Package net.shibboleth.shared.spring.httpclient.factory

# Class HttpHostFactoryBean

java.lang.Object
net.shibboleth.shared.spring.factory.AbstractFactoryBean<T>
net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean<org.apache.hc.core5.http.HttpHost>
net.shibboleth.shared.spring.httpclient.factory.HttpHostFactoryBean

All Implemented Interfaces:
  `Aware`, `BeanClassLoaderAware`, `BeanFactoryAware`, `DisposableBean`, `FactoryBean<org.apache.hc.core5.http.HttpHost>`, `InitializingBean`

public class HttpHostFactoryBean extends AbstractComponentAwareFactoryBean<org.apache.hc.core5.http.HttpHost>
Factory bean for `HttpHost`.

Mainly for insulation from Apache client API.

Since:
  9.0.0

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`hostname`
The hostname.
`private Integer`
`port`
The port.
`private String`
`scheme`
The scheme.

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`HttpHostFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`protected org.apache.hc.core5.http.HttpHost`
`doCreateInstance()`
Call the parent class to create the instance.
`Class<?>`
`getObjectType()`
This abstract method declaration mirrors the method in the FactoryBean interface, for a consistent offering of abstract template methods.
`void`
`setHostname(String what)`
Set the hostname.
`void`
`setPort(Integer what)`
Set the port.
`void`
`setScheme(String what)`
Set the scheme.

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractComponentAwareFactoryBean

`createInstance, destroyInstance, setThrowIfNull`

### Methods inherited from class net.shibboleth.shared.spring.factory.AbstractFactoryBean

`afterPropertiesSet, destroy, getBeanFactory, getBeanTypeConverter, getEarlySingletonInterfaces, getObject, isSingleton, setBeanClassLoader, setBeanFactory, setSingleton`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### scheme

@Nullable private String scheme
The scheme.

### hostname

@Nullable private String hostname
The hostname.

### port

@Nullable private Integer port
The port.

## Constructor Details

### HttpHostFactoryBean

public HttpHostFactoryBean()

## Method Details

### getObjectType

@Nonnull public Class<?> getObjectType()
This abstract method declaration mirrors the method in the FactoryBean interface, for a consistent offering of abstract template methods.

Specified by:
  `getObjectType` in interface `FactoryBean<org.apache.hc.core5.http.HttpHost>`
Specified by:
  `getObjectType` in class `AbstractFactoryBean<org.apache.hc.core5.http.HttpHost>`
See Also:
  - `FactoryBean.getObjectType()`

### setScheme

public void setScheme(@Nullable String what)
Set the scheme.

Parameters:
  `what` - value to set

### setHostname

public void setHostname(@Nullable String what)
Set the hostname.

Parameters:
  `what` - value to set

### setPort

public void setPort(@Nullable Integer what)
Set the port.

Parameters:
  `what` - value to set

### doCreateInstance

@Nonnull protected org.apache.hc.core5.http.HttpHost doCreateInstance() throws Exception
Call the parent class to create the instance.

Specified by:
  `doCreateInstance` in class `AbstractComponentAwareFactoryBean<org.apache.hc.core5.http.HttpHost>`
Returns:
  the bean.
Throws:
  `Exception` - if needed.